Search documentation of ash

# View Source Ash.Page.Offset (ash v3.4.30)

A page of results from `offset` based pagination.

If a resource supports `keyset` pagination as well, it will also have the `keyset` metadata.

# Summary

## Types

t()

## Functions

new(results, count, original_query, more?, opts)

# Types

Link to this type

# t()

View Source

    @type t() :: %Ash.Page.Offset{
      count: term(),
      limit: term(),
      more?: term(),
      offset: term(),
      rerun: term(),
      results: term()
    }

# Functions

Link to this function

# new(results, count, original_query, more?, opts)

View Source